Incompatibility with v4.0 app pools on server?

Monitor, diagnose and receive alerts to problems across your SQL Servers.

Incompatibility with v4.0 app pools on server?

Postby tdietrich » Mon Jun 11, 2012 2:14 pm

Running SQL Monitor 3.1 on a v4.0 app pool, I get this error on browsing to the site:

There is a duplicate 'system.web.extensions/scripting/scriptResourceHandler' section defined

If I change the app pool to be v2.0, the site works perfectly well. I was not able to find any documentation stating that SQL Monitor should have it's app pool set to v2.0, so it may be worth either fixing that bug or adding that information to the installer where it tells you to set up the IIS site.

Posts: 8
Joined: Fri May 04, 2012 11:49 am

Postby Chris Spencer » Mon Jun 11, 2012 3:42 pm

This is a known issue but I've raised an enhancement to get our IIS documentation updated with this fact (reference: SRP-7057).

Unfortunately a fix is a far bigger undertaking. .NET 4.0 is more widespread now so hopefully we'll be able to fully support it in a future release.

Chris Spencer
Test Engineer
Red Gate
Chris Spencer
Posts: 301
Joined: Tue Aug 29, 2006 8:09 am
Location: Red Gate - Cambridge

Return to SQL Monitor Previous Versions

Who is online

Users browsing this forum: No registered users and 0 guests